/*********************************************************************************
 *  SuperWaba Virtual Machine, version 5                                         *
 *  Copyright (C) 1998, 1999 Wabasoft <www.wabasoft.com>, All Rights Reserved    *
 *  Copyright (C) 2000-2005 SuperWaba Ltda.                                      *
 *  All Rights Reserved                                                          *
 *                                                                               *
 *  This library and virtual machine is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                         *
 *                                                                               *
 *  Please see the software license located at /license.txt for more details.    *
 *                                                                               *
 *  You should have received a copy of the License along with this software;     *
 *  if not, write to                                                             *
 *                                                                               *
 *     SuperWaba Ltda.                                                           *
 *     Rua Padre Leonel Franca, 480, sala 27A                                    *
 *     Instituto Genesis - PUC-RIO                                               *
 *     Rio de Janeiro / RJ - Brazil                                              *
 *     Cep: 22451-000                                                            *
 *     E-mail: licensing@superwaba.com.br                                        *
 *********************************************************************************/
#include <windows.h>

#define SUPERWABA_CORE_EXEFILENAME TEXT("\\SuperWaba\\SuperWaba.exe")

TCHAR *args = TEXT("12345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890");

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPTSTR lpCmdLine, int nCmdShow)
{
	PROCESS_INFORMATION pInfo;
   TCHAR *appArgs = args;
   if (lpCmdLine && *lpCmdLine)
   {
      int len1 = lstrlen(args);
      int len2 = lstrlen(lpCmdLine);
      appArgs = (TCHAR *)malloc((len1+len2)*2);
      if (!appArgs)
         return -1;
      lstrcpy(args, appArgs);
      appArgs[len1] = (TCHAR)' ';
      lstrcpy(lpCmdLine, &appArgs[len1+1]);
   }
	if (CreateProcess(SUPERWABA_CORE_EXEFILENAME, appArgs, NULL, NULL, FALSE, 0, NULL, NULL, NULL, &pInfo))
   {
	   CloseHandle(pInfo.hThread);
	   CloseHandle(pInfo.hProcess);
   }
   if (lpCmdLine && *lpCmdLine)
      free(appArgs);
	return 0;
}
