/*********************************************************************************
 *  SuperWaba Virtual Machine, version 5                                         *
 *  Copyright (C) 2000-2005 SuperWaba Ltda.                                      *
 *  All Rights Reserved                                                          *
 *                                                                               *
 *  This library and virtual machine is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                         *
 *                                                                               *
 *  Please see the software license located at /license.txt for more details.    *
 *                                                                               *
 *  You should have received a copy of the License along with this software;     *
 *  if not, write to                                                             *
 *                                                                               *
 *     SuperWaba Ltda.                                                           *
 *     Rua Padre Leonel Franca, 480, sala 27A                                    *
 *     Instituto Genesis - PUC-RIO                                               *
 *     Rio de Janeiro / RJ - Brazil                                              *
 *     Cep: 22451-000                                                            *
 *     E-mail: licensing@superwaba.com.br                                        *
 *********************************************************************************/
/* $Id: SW_Class.h,v 1.2 2005/01/05 14:37:21 guich Exp $ */

#ifdef __DEFINE_FUNCTIONS

uchar *nativeLoadClass(UtfString className, uint32 *size);
void releaseClass(UtfString className, uchar *p);
void releaseAndClose(DmOpenRef dmRef, byte removeRecord);
uchar *lockWarpRec(char *path, uint16 pathLen, uint32 * size);
void unlockWarpRec(uchar *ptr, uint16 pathLen);

void ObjectGetClass(Var stack[]);
void ThrowablePrintStackTraceNative(Var stack[]);
void ClassForName(Var stack[]);
void ClassNewInstance(Var stack[]);
void ClassIsInstance(Var stack[]);
#endif
