/*********************************************************************************
 *  SuperWaba Virtual Machine, version 5                                         *
 *  Copyright (C) 2000-2005 SuperWaba Ltda.                                      *
 *  All Rights Reserved                                                          *
 *                                                                               *
 *  This library and virtual machine is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                         *
 *                                                                               *
 *  Please see the software license located at /license.txt for more details.    *
 *                                                                               *
 *  You should have received a copy of the License along with this software;     *
 *  if not, write to                                                             *
 *                                                                               *
 *     SuperWaba Ltda.                                                           *
 *     Rua Padre Leonel Franca, 480, sala 27A                                    *
 *     Instituto Genesis - PUC-RIO                                               *
 *     Rio de Janeiro / RJ - Brazil                                              *
 *     Cep: 22451-000                                                            *
 *     E-mail: licensing@superwaba.com.br                                        *
 *********************************************************************************/
/* $Id: SW_messages.h,v 1.4 2005/09/25 12:56:34 guich Exp $ */

#ifndef __SW_MESSAGES_H
#define __SW_MESSAGES_H

void debug(char * msg);
void version();
void usage();
void sendError(ErrorStatus * status);
void printToBuf(char *buf, int32 maxbuf, UtfString *s1, UtfString *s2);

#if HAVE_GETOPT_H
#include <getopt.h>
#endif

#if HAVE_GETOPT_LONG
void showOption(char const * option, char const * optarg);
extern struct option long_options[]; // getopt_long data structure defining options
#endif

#ifdef ENABLE_TRACE
void trace(WClass *iclass, WClassMethod *imethod);
#endif

#endif //__SW_MESSAGES_H
