/*********************************************************************************
 *  SuperWaba Virtual Machine, version 5                                         *
 *  Copyright (C) 2000-2005 SuperWaba Ltda.                                      *
 *  All Rights Reserved                                                          *
 *                                                                               *
 *  This library and virtual machine is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                         *
 *                                                                               *
 *  Please see the software license located at /license.txt for more details.    *
 *                                                                               *
 *  You should have received a copy of the License along with this software;     *
 *  if not, write to                                                             *
 *                                                                               *
 *     SuperWaba Ltda.                                                           *
 *     Rua Padre Leonel Franca, 480, sala 27A                                    *
 *     Instituto Genesis - PUC-RIO                                               *
 *     Rio de Janeiro / RJ - Brazil                                              *
 *     Cep: 22451-000                                                            *
 *     E-mail: licensing@superwaba.com.br                                        *
 *********************************************************************************/
/* $Id$ */

#ifndef __SW_MAIN_H__
#define __SW_MAIN_H__

#include "SW_types.h"

typedef struct
{
   uint32 argc;
   char **argv;
} 
StartupParams;

extern int startup(StartupParams *);

#if defined(DEBUG_PEAL)
#define PEAL_INFO(alert_id, m1, m2, m3) \
    FrmCustomAlert(alert_id, m1, m2, m3);
#else
#define PEAL_INFO(alert_id, m1, m2, m3)
#endif

#endif

/*===========================================================================*/
