/*********************************************************************************
 *  SuperWaba Virtual Machine, version 5                                         *
 *  Copyright (C) 2000-2005 SuperWaba Ltda.                                      *
 *  All Rights Reserved                                                          *
 *                                                                               *
 *  This library and virtual machine is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                         *
 *                                                                               *
 *  Please see the software license located at /license.txt for more details.    *
 *                                                                               *
 *  You should have received a copy of the License along with this software;     *
 *  if not, write to                                                             *
 *                                                                               *
 *     SuperWaba Ltda.                                                           *
 *     Rua Padre Leonel Franca, 480, sala 27A                                    *
 *     Instituto Genesis - PUC-RIO                                               *
 *     Rio de Janeiro / RJ - Brazil                                              *
 *     Cep: 22451-000                                                            *
 *     E-mail: licensing@superwaba.com.br                                        *
 *********************************************************************************/
/* $Id: epoc_alloc.h,v 1.3 2005/05/14 08:29:49 pgr Exp $ */

#ifndef _epoc_alloc_h
#define _epoc_alloc_h

#ifdef __cplusplus
extern "C" {
#endif

void * epoc_malloc(size_t size);
void epoc_free(void * cell);
void * epoc_realloc(void * cell, size_t size);
int epoc_alloc_available();
int epoc_malloc_usable_size(void * cell);
void epoc_alloc_stat(
   int * totalUsed,
   int * countUsed,
   int * biggestAvail,
   int * totalAvail
);

#ifdef __cplusplus
};
#endif
#endif
/*============================================================================*/
