/*********************************************************************************
 *  SuperWaba Virtual Machine, version 5                                         *
 *  Copyright (C) 2000-2005 SuperWaba Ltda.                                      *
 *  All Rights Reserved                                                          *
 *                                                                               *
 *  This library and virtual machine is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                         *
 *                                                                               *
 *  Please see the software license located at /license.txt for more details.    *
 *                                                                               *
 *  You should have received a copy of the License along with this software;     *
 *  if not, write to                                                             *
 *                                                                               *
 *     SuperWaba Ltda.                                                           *
 *     Rua Padre Leonel Franca, 480, sala 27A                                    *
 *     Instituto Genesis - PUC-RIO                                               *
 *     Rio de Janeiro / RJ - Brazil                                              *
 *     Cep: 22451-000                                                            *
 *     E-mail: licensing@superwaba.com.br                                        *
 *********************************************************************************/
/* $Id: epoc_dll.h,v 1.2 2005/11/12 00:51:03 fdie Exp $ */

#ifndef _epoc_dll_h
#define _epoc_dll_h

// ordinal(int) rather than named functions
#define GPA_TYPE int
#define GPA_IDENT(x) GPA_##x

enum
{
   GPA_undefined,
   GPA_SWLibOpen,
   GPA_SWLibClose,
   GPA_SWInvokeNative,
   GPA_SWCallPublic,
   GPA_SWHandleEvent,
   GPA_SWGetNativeFunc,
   GPA_SWInvokeNativeFunc
};

#ifdef __cplusplus
extern "C" {
#endif

void *LoadLibrary(const char *p);
void *GetProcAddress(const void *p, int ordinal);

#ifdef __cplusplus
};
#endif

#endif

/*============================================================================*/
